openapi: 3.0.3
info:
  title: Desenvolvimeto Web com Quarkus - OpenAPI 3.0
  description: |-
    Especificação OpenAPI 3.0 do curso Desenvolvimento Web com Quarkus.
  version: 1.0.0
tags:
  - name: prato
    description: Pratos de restaurante
  - name: restaurante
    description: Restaurante
paths:
  /restaurantes/{idRestaurante}/pratos:
    get:
      tags:
        - prato
        - restaurante
      operationId: recuperaPratosRestaurante
      parameters:
        - name: idRestaurante
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Prato'
components:
  schemas:
    Prato:
      properties:
        id:
          type: integer
          format: int64
        nome:
          type: string
        descricao:
          type: string
        preco:
          type: number
          format: double
